aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--config.h.in9
-rwxr-xr-xconfigure841
-rw-r--r--plugins.m4118
3 files changed, 944 insertions, 24 deletions
diff --git a/config.h.in b/config.h.in
index 67be1e8..b1aab44 100644
--- a/config.h.in
+++ b/config.h.in
@@ -12,6 +12,9 @@
/* Define to 1 if you have the <asm/io.h> header file. */
#undef HAVE_ASM_IO_H
+/* Define to 1 if you have the <asm/types.h> header file. */
+#undef HAVE_ASM_TYPES_H
+
/* Define to 1 if you have the <dirent.h> header file, and it defines `DIR'.
*/
#undef HAVE_DIRENT_H
@@ -55,6 +58,9 @@
/* Define to 1 if you have the <linux/dvb/frontend.h> header file. */
#undef HAVE_LINUX_DVB_FRONTEND_H
+/* Define to 1 if you have the <linux/errno.h> header file. */
+#undef HAVE_LINUX_ERRNO_H
+
/* Define to 1 if you have the <linux/hd44780.h> header file. */
#undef HAVE_LINUX_HD44780_H
@@ -70,6 +76,9 @@
/* Define to 1 if you have the <linux/ppdev.h> header file. */
#undef HAVE_LINUX_PPDEV_H
+/* Define to 1 if you have the <linux/wireless.h> header file. */
+#undef HAVE_LINUX_WIRELESS_H
+
/* Define to 1 if you have the <luise.h> header file. */
#undef HAVE_LUISE_H
diff --git a/configure b/configure
index bcc5ec9..a739d5e 100755
--- a/configure
+++ b/configure
@@ -8711,14 +8711,169 @@ done
{ echo "$as_me:$LINENO: result: done" >&5
echo "${ECHO_T}done" >&6; }
+
+# Advanced Power Management
if test "$PLUGIN_APM" = "yes"; then
- PLUGINS="$PLUGINS plugin_apm.o"
+
+for ac_header in asm/types.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+ { echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+ { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+else
+ # Is the header compilable?
+{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
+echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+$ac_includes_default
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_compile") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } && {
+ test -z "$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ } && test -s conftest.$ac_objext; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
+echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+#include <$ac_header>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null && {
+ test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ }; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+ yes:no: )
+ { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+ ac_header_preproc=yes
+ ;;
+ no:yes:* )
+ { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+ ( cat <<\_ASBOX
+## ---------------------------------------------------- ##
+## Report this to lcd4linux-users@lists.sourceforge.net ##
+## ---------------------------------------------------- ##
+_ASBOX
+ ) | sed "s/^/$as_me: WARNING: /" >&2
+ ;;
+esac
+{ echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ eval "$as_ac_Header=\$ac_header_preproc"
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+ { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+
+fi
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+ has_asm_types="true"
+else
+ has_asm_types="false"
+fi
+
+done
+
+ if test "$has_asm_types" = "true"; then
+ PLUGINS="$PLUGINS plugin_apm.o"
cat >>confdefs.h <<\_ACEOF
#define PLUGIN_APM 1
_ACEOF
+ else
+ { echo "$as_me:$LINENO: WARNING: asm/types.h header not found: apm plugin disabled" >&5
+echo "$as_me: WARNING: asm/types.h header not found: apm plugin disabled" >&2;}
+ fi
fi
+
if test "$PLUGIN_BUTTON_EXEC" = "yes"; then
PLUGINS="$PLUGINS plugin_button_exec.o"
@@ -8727,6 +8882,7 @@ cat >>confdefs.h <<\_ACEOF
_ACEOF
fi
+
if test "$PLUGIN_ASTERISK" = "yes"; then
PLUGINS="$PLUGINS plugin_asterisk.o"
@@ -8735,6 +8891,8 @@ cat >>confdefs.h <<\_ACEOF
_ACEOF
fi
+
+# /proc/cpuinfo
if test "$PLUGIN_CPUINFO" = "yes"; then
PLUGINS="$PLUGINS plugin_cpuinfo.o"
@@ -8743,6 +8901,8 @@ cat >>confdefs.h <<\_ACEOF
_ACEOF
fi
+
+# /proc/diskstat
if test "$PLUGIN_DISKSTATS" = "yes"; then
PLUGINS="$PLUGINS plugin_diskstats.o"
@@ -8751,8 +8911,158 @@ cat >>confdefs.h <<\_ACEOF
_ACEOF
fi
+
+# Digital Video Broadcasting
if test "$PLUGIN_DVB" = "yes"; then
+for ac_header in asm/types.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+ { echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+ { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+else
+ # Is the header compilable?
+{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
+echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+$ac_includes_default
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_compile") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } && {
+ test -z "$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ } && test -s conftest.$ac_objext; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
+echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+#include <$ac_header>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null && {
+ test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ }; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+ yes:no: )
+ { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+ ac_header_preproc=yes
+ ;;
+ no:yes:* )
+ { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+ ( cat <<\_ASBOX
+## ---------------------------------------------------- ##
+## Report this to lcd4linux-users@lists.sourceforge.net ##
+## ---------------------------------------------------- ##
+_ASBOX
+ ) | sed "s/^/$as_me: WARNING: /" >&2
+ ;;
+esac
+{ echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ eval "$as_ac_Header=\$ac_header_preproc"
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+ { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+
+fi
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+ has_asm_types="true"
+else
+ has_asm_types="false"
+fi
+
+done
+
+ if test "$has_asm_types" = "true"; then
+
for ac_header in linux/dvb/frontend.h
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -8899,19 +9209,25 @@ fi
done
- if test "$has_dvb_header" = "true"; then
- PLUGINS="$PLUGINS plugin_dvb.o"
+ if test "$has_dvb_header" = "true"; then
+ PLUGINS="$PLUGINS plugin_dvb.o"
cat >>confdefs.h <<\_ACEOF
#define PLUGIN_DVB 1
_ACEOF
- else
- PLUGINS="$PLUGINS plugin_dvb.o"
- { echo "$as_me:$LINENO: WARNING: linux/dvb/frontend.h header not found: using ioctl" >&5
+ else
+ PLUGINS="$PLUGINS plugin_dvb.o"
+ { echo "$as_me:$LINENO: WARNING: linux/dvb/frontend.h header not found: using ioctl" >&5
echo "$as_me: WARNING: linux/dvb/frontend.h header not found: using ioctl" >&2;}
+ fi
+ else
+ { echo "$as_me:$LINENO: WARNING: asm/types.h header not found: dvb plugin disabled" >&5
+echo "$as_me: WARNING: asm/types.h header not found: dvb plugin disabled" >&2;}
fi
fi
+
+# start external commands (exec)
if test "$PLUGIN_EXEC" = "yes"; then
PLUGINS="$PLUGINS plugin_exec.o"
@@ -8920,6 +9236,8 @@ cat >>confdefs.h <<\_ACEOF
_ACEOF
fi
+
+# file
if test "$PLUGIN_FILE" = "yes"; then
PLUGINS="$PLUGINS plugin_file.o"
@@ -8928,6 +9246,8 @@ cat >>confdefs.h <<\_ACEOF
_ACEOF
fi
+
+# FIFO
if test "$PLUGIN_FIFO" = "yes"; then
PLUGINS="$PLUGINS plugin_fifo.o"
@@ -8936,6 +9256,8 @@ cat >>confdefs.h <<\_ACEOF
_ACEOF
fi
+
+# GPS
if test "$PLUGIN_GPS" = "yes"; then
for ac_header in nmeap.h
@@ -9169,6 +9491,8 @@ echo "$as_me: WARNING: libnmeap lib not found: gps plugin disabled" >&2;}
echo "$as_me: WARNING: nmeap.h header not found: gps plugin disabled" >&2;}
fi
fi
+
+# hddtemp
if test "$PLUGIN_HDDTEMP" = "yes"; then
PLUGINS="$PLUGINS plugin_hddtemp.o"
@@ -9177,6 +9501,8 @@ cat >>confdefs.h <<\_ACEOF
_ACEOF
fi
+
+# I2C
if test "$PLUGIN_I2C_SENSORS" = "yes"; then
PLUGINS="$PLUGINS plugin_i2c_sensors.o"
@@ -9185,6 +9511,8 @@ cat >>confdefs.h <<\_ACEOF
_ACEOF
fi
+
+# IConv
if test "$PLUGIN_ICONV" = "yes"; then
# Make sure we can run config.sub.
$SHELL "$ac_aux_dir/config.sub" sun4 >/dev/null 2>&1 ||
@@ -10267,14 +10595,170 @@ _ACEOF
echo "$as_me: WARNING: iconv not found: iconv plugin disabled" >&2;}
fi
fi
+
+# ISDN monitor
if test "$PLUGIN_IMON" = "yes"; then
- PLUGINS="$PLUGINS plugin_imon.o"
+
+for ac_header in linux/errno.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+ { echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+ { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+else
+ # Is the header compilable?
+{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
+echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+$ac_includes_default
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_compile") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } && {
+ test -z "$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ } && test -s conftest.$ac_objext; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
+echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+#include <$ac_header>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null && {
+ test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ }; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+ yes:no: )
+ { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+ ac_header_preproc=yes
+ ;;
+ no:yes:* )
+ { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+ ( cat <<\_ASBOX
+## ---------------------------------------------------- ##
+## Report this to lcd4linux-users@lists.sourceforge.net ##
+## ---------------------------------------------------- ##
+_ASBOX
+ ) | sed "s/^/$as_me: WARNING: /" >&2
+ ;;
+esac
+{ echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ eval "$as_ac_Header=\$ac_header_preproc"
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+ { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+
+fi
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+ has_linux_errno="true"
+else
+ has_linux_errno="false"
+fi
+
+done
+
+ if test "$has_linux_errno" = "true"; then
+ PLUGINS="$PLUGINS plugin_imon.o"
cat >>confdefs.h <<\_ACEOF
#define PLUGIN_IMON 1
_ACEOF
+ else
+ { echo "$as_me:$LINENO: WARNING: linux/errno.h header not found: imon plugin disabled" >&5
+echo "$as_me: WARNING: linux/errno.h header not found: imon plugin disabled" >&2;}
+ fi
fi
+
+# ISDN
if test "$PLUGIN_ISDN" = "yes"; then
for ac_header in linux/isdn.h
@@ -10434,6 +10918,8 @@ cat >>confdefs.h <<\_ACEOF
_ACEOF
fi
+
+# Karlsruher Verkehrsverbund
if test "$PLUGIN_KVV" = "yes"; then
PLUGINS="$PLUGINS plugin_kvv.o"
@@ -10442,6 +10928,8 @@ cat >>confdefs.h <<\_ACEOF
_ACEOF
fi
+
+# load average
if test "$PLUGIN_LOADAVG" = "yes"; then
PLUGINS="$PLUGINS plugin_loadavg.o"
@@ -10450,6 +10938,8 @@ cat >>confdefs.h <<\_ACEOF
_ACEOF
fi
+
+# meminfo
if test "$PLUGIN_MEMINFO" = "yes"; then
PLUGINS="$PLUGINS plugin_meminfo.o"
@@ -10458,6 +10948,8 @@ cat >>confdefs.h <<\_ACEOF
_ACEOF
fi
+
+# MPD
if test "$PLUGIN_MPD" = "yes"; then
if test -f "libmpdclient.h"
then
@@ -10476,6 +10968,8 @@ echo "$as_me: WARNING: get libmpdclient.h from http://www.musicpd.org/libmpdclie
echo "$as_me: WARNING: and copy those 2 files in the lcd4linux directory." >&2;}
fi
fi
+
+# MySQL
if test "$PLUGIN_MYSQL" = "yes"; then
for ac_header in mysql/mysql.h
@@ -10709,6 +11203,8 @@ echo "$as_me: WARNING: mysqlclient lib not found: mysql plugin disabled" >&2;}
echo "$as_me: WARNING: mysql/mysql.h header not found: mysql plugin disabled" >&2;}
fi
fi
+
+# network device
if test "$PLUGIN_NETDEV" = "yes"; then
PLUGINS="$PLUGINS plugin_netdev.o"
@@ -10717,6 +11213,8 @@ cat >>confdefs.h <<\_ACEOF
_ACEOF
fi
+
+# POP3
if test "$PLUGIN_POP3" = "yes"; then
PLUGINS="$PLUGINS plugin_pop3.o"
@@ -10725,6 +11223,8 @@ cat >>confdefs.h <<\_ACEOF
_ACEOF
fi
+
+# PPP
if test "$PLUGIN_PPP" = "yes"; then
for ac_header in net/if_ppp.h
@@ -10885,6 +11385,8 @@ _ACEOF
echo "$as_me: WARNING: net/if_ppp.h header not found: ppp plugin disabled" >&2;}
fi
fi
+
+# /proc/stat
if test "$PLUGIN_PROC_STAT" = "yes"; then
PLUGINS="$PLUGINS plugin_proc_stat.o"
@@ -10893,6 +11395,8 @@ cat >>confdefs.h <<\_ACEOF
_ACEOF
fi
+
+# python
if test "$PLUGIN_PYTHON" = "yes"; then
if test "$with_python" != "yes"; then
{ echo "$as_me:$LINENO: WARNING: python support not enabled: python plugin disabled (use --with-python to enable)" >&5
@@ -10913,6 +11417,8 @@ _ACEOF
fi
fi
fi
+
+# sample
if test "$PLUGIN_SAMPLE" = "yes"; then
PLUGINS="$PLUGINS plugin_sample.o"
@@ -10921,6 +11427,8 @@ cat >>confdefs.h <<\_ACEOF
_ACEOF
fi
+
+# SETI
if test "$PLUGIN_SETI" = "yes"; then
PLUGINS="$PLUGINS plugin_seti.o"
@@ -10929,14 +11437,170 @@ cat >>confdefs.h <<\_ACEOF
_ACEOF
fi
+
+# statfs()
if test "$PLUGIN_STATFS" = "yes"; then
- PLUGINS="$PLUGINS plugin_statfs.o"
+
+for ac_header in sys/vfs.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+ { echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+ { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+else
+ # Is the header compilable?
+{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
+echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+$ac_includes_default
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_compile") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } && {
+ test -z "$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ } && test -s conftest.$ac_objext; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
+echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+#include <$ac_header>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null && {
+ test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ }; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+ yes:no: )
+ { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+ ac_header_preproc=yes
+ ;;
+ no:yes:* )
+ { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+ ( cat <<\_ASBOX
+## ---------------------------------------------------- ##
+## Report this to lcd4linux-users@lists.sourceforge.net ##
+## ---------------------------------------------------- ##
+_ASBOX
+ ) | sed "s/^/$as_me: WARNING: /" >&2
+ ;;
+esac
+{ echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ eval "$as_ac_Header=\$ac_header_preproc"
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+ { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+
+fi
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+ has_vfs_header="true"
+else
+ has_vfs_header="false"
+fi
+
+done
+
+ if test "$has_vfs_header" = "true"; then
+ PLUGINS="$PLUGINS plugin_statfs.o"
cat >>confdefs.h <<\_ACEOF
#define PLUGIN_STATFS 1
_ACEOF
+ else
+ { echo "$as_me:$LINENO: WARNING: sys/vfs.h header not found: statfs plugin disabled" >&5
+echo "$as_me: WARNING: sys/vfs.h header not found: statfs plugin disabled" >&2;}
+ fi
fi
+
+# uname
if test "$PLUGIN_UNAME" = "yes"; then
PLUGINS="$PLUGINS plugin_uname.o"
@@ -10945,6 +11609,8 @@ cat >>confdefs.h <<\_ACEOF
_ACEOF
fi
+
+# uptime
if test "$PLUGIN_UPTIME" = "yes"; then
PLUGINS="$PLUGINS plugin_uptime.o"
@@ -10953,6 +11619,7 @@ cat >>confdefs.h <<\_ACEOF
_ACEOF
fi
+
if test "$PLUGIN_W1RETAP" = "yes"; then
PLUGINS="$PLUGINS plugin_w1retap.o"
@@ -10961,14 +11628,170 @@ cat >>confdefs.h <<\_ACEOF
_ACEOF
fi
+
+# WLAN
if test "$PLUGIN_WIRELESS" = "yes"; then
- PLUGINS="$PLUGINS plugin_wireless.o"
+
+for ac_header in linux/wireless.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+ { echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+ { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+else
+ # Is the header compilable?
+{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
+echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+$ac_includes_default
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_compile") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } && {
+ test -z "$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ } && test -s conftest.$ac_objext; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
+echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+#include <$ac_header>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null && {
+ test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ }; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+ yes:no: )
+ { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+ ac_header_preproc=yes
+ ;;
+ no:yes:* )
+ { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+ ( cat <<\_ASBOX
+## ---------------------------------------------------- ##
+## Report this to lcd4linux-users@lists.sourceforge.net ##
+## ---------------------------------------------------- ##
+_ASBOX
+ ) | sed "s/^/$as_me: WARNING: /" >&2
+ ;;
+esac
+{ echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ eval "$as_ac_Header=\$ac_header_preproc"
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+ { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+
+fi
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+ has_wireless_header="true"
+else
+ has_wireless_header="false"
+fi
+
+done
+
+ if test "$has_wireless_header" = "true"; then
+ PLUGINS="$PLUGINS plugin_wireless.o"
cat >>confdefs.h <<\_ACEOF
#define PLUGIN_WIRELESS 1
_ACEOF
+ else
+ { echo "$as_me:$LINENO: WARNING: linux/wireless.h header not found: wireless plugin disabled" >&5
+echo "$as_me: WARNING: linux/wireless.h header not found: wireless plugin disabled" >&2;}
+ fi
fi
+
+# XMMS
if test "$PLUGIN_XMMS" = "yes"; then
PLUGINS="$PLUGINS plugin_xmms.o"
diff --git a/plugins.m4 b/plugins.m4
index 727c4b3..2c3aa94 100644
--- a/plugins.m4
+++ b/plugins.m4
@@ -193,48 +193,76 @@ for plugin in $plugins; do
done
AC_MSG_RESULT([done])
+
+# Advanced Power Management
if test "$PLUGIN_APM" = "yes"; then
- PLUGINS="$PLUGINS plugin_apm.o"
- AC_DEFINE(PLUGIN_APM,1,[apm plugin])
+ AC_CHECK_HEADERS(asm/types.h, [has_asm_types="true"], [has_asm_types="false"])
+ if test "$has_asm_types" = "true"; then
+ PLUGINS="$PLUGINS plugin_apm.o"
+ AC_DEFINE(PLUGIN_APM,1,[apm plugin])
+ else
+ AC_MSG_WARN(asm/types.h header not found: apm plugin disabled)
+ fi
fi
+
if test "$PLUGIN_BUTTON_EXEC" = "yes"; then
PLUGINS="$PLUGINS plugin_button_exec.o"
AC_DEFINE(PLUGIN_BUTTON_EXEC,1,[button_exec plugin])
fi
+
if test "$PLUGIN_ASTERISK" = "yes"; then
PLUGINS="$PLUGINS plugin_asterisk.o"
AC_DEFINE(PLUGIN_ASTERISK,1,[asterisk plugin])
fi
+
+# /proc/cpuinfo
if test "$PLUGIN_CPUINFO" = "yes"; then
PLUGINS="$PLUGINS plugin_cpuinfo.o"
AC_DEFINE(PLUGIN_CPUINFO,1,[cpuinfo plugin])
fi
+
+# /proc/diskstat
if test "$PLUGIN_DISKSTATS" = "yes"; then
PLUGINS="$PLUGINS plugin_diskstats.o"
AC_DEFINE(PLUGIN_DISKSTATS,1,[diskstats plugin])
fi
+
+# Digital Video Broadcasting
if test "$PLUGIN_DVB" = "yes"; then
- AC_CHECK_HEADERS(linux/dvb/frontend.h, [has_dvb_header="true"], [has_dvb_header="false"])
- if test "$has_dvb_header" = "true"; then
- PLUGINS="$PLUGINS plugin_dvb.o"
- AC_DEFINE(PLUGIN_DVB,1,[dvb plugin])
+ AC_CHECK_HEADERS(asm/types.h, [has_asm_types="true"], [has_asm_types="false"])
+ if test "$has_asm_types" = "true"; then
+ AC_CHECK_HEADERS(linux/dvb/frontend.h, [has_dvb_header="true"], [has_dvb_header="false"])
+ if test "$has_dvb_header" = "true"; then
+ PLUGINS="$PLUGINS plugin_dvb.o"
+ AC_DEFINE(PLUGIN_DVB,1,[dvb plugin])
+ else
+ PLUGINS="$PLUGINS plugin_dvb.o"
+ AC_MSG_WARN(linux/dvb/frontend.h header not found: using ioctl)
+ fi
else
- PLUGINS="$PLUGINS plugin_dvb.o"
- AC_MSG_WARN(linux/dvb/frontend.h header not found: using ioctl)
- fi
+ AC_MSG_WARN(asm/types.h header not found: dvb plugin disabled)
+ fi
fi
+
+# start external commands (exec)
if test "$PLUGIN_EXEC" = "yes"; then
PLUGINS="$PLUGINS plugin_exec.o"
AC_DEFINE(PLUGIN_EXEC,1,[exec plugin])
fi
+
+# file
if test "$PLUGIN_FILE" = "yes"; then
PLUGINS="$PLUGINS plugin_file.o"
AC_DEFINE(PLUGIN_FILE,1,[file plugin])
fi
+
+# FIFO
if test "$PLUGIN_FIFO" = "yes"; then
PLUGINS="$PLUGINS plugin_fifo.o"
AC_DEFINE(PLUGIN_FIFO,1,[fifo plugin])
fi
+
+# GPS
if test "$PLUGIN_GPS" = "yes"; then
AC_CHECK_HEADERS(nmeap.h, [has_nmeap_header="true"], [has_nmeap_header="false"])
if test "$has_nmeap_header" = "true"; then
@@ -250,14 +278,20 @@ if test "$PLUGIN_GPS" = "yes"; then
AC_MSG_WARN(nmeap.h header not found: gps plugin disabled)
fi
fi
+
+# hddtemp
if test "$PLUGIN_HDDTEMP" = "yes"; then
PLUGINS="$PLUGINS plugin_hddtemp.o"
AC_DEFINE(PLUGIN_HDDTEMP,1,[hddtemp plugin])
fi
+
+# I2C
if test "$PLUGIN_I2C_SENSORS" = "yes"; then
PLUGINS="$PLUGINS plugin_i2c_sensors.o"
AC_DEFINE(PLUGIN_I2C_SENSORS,1,[i2c sensors plugin])
fi
+
+# IConv
if test "$PLUGIN_ICONV" = "yes"; then
AM_ICONV
if test "$am_cv_func_iconv" = "yes"; then
@@ -268,10 +302,19 @@ if test "$PLUGIN_ICONV" = "yes"; then
AC_MSG_WARN(iconv not found: iconv plugin disabled)
fi
fi
+
+# ISDN monitor
if test "$PLUGIN_IMON" = "yes"; then
- PLUGINS="$PLUGINS plugin_imon.o"
- AC_DEFINE(PLUGIN_IMON,1,[imon plugin])
+ AC_CHECK_HEADERS(linux/errno.h, [has_linux_errno="true"], [has_linux_errno="false"])
+ if test "$has_linux_errno" = "true"; then
+ PLUGINS="$PLUGINS plugin_imon.o"
+ AC_DEFINE(PLUGIN_IMON,1,[imon plugin])
+ else
+ AC_MSG_WARN(linux/errno.h header not found: imon plugin disabled)
+ fi
fi
+
+# ISDN
if test "$PLUGIN_ISDN" = "yes"; then
AC_CHECK_HEADERS(linux/isdn.h, [has_isdn_header="true"], [has_isdn_header="false"])
if test "$has_dvb_header" = "false"; then
@@ -280,18 +323,26 @@ if test "$PLUGIN_ISDN" = "yes"; then
PLUGINS="$PLUGINS plugin_isdn.o"
AC_DEFINE(PLUGIN_ISDN,1,[ISDN plugin])
fi
+
+# Karlsruher Verkehrsverbund
if test "$PLUGIN_KVV" = "yes"; then
PLUGINS="$PLUGINS plugin_kvv.o"
AC_DEFINE(PLUGIN_KVV,1,[kvv plugin])
fi
+
+# load average
if test "$PLUGIN_LOADAVG" = "yes"; then
PLUGINS="$PLUGINS plugin_loadavg.o"
AC_DEFINE(PLUGIN_LOADAVG,1,[loadavg plugin])
fi
+
+# meminfo
if test "$PLUGIN_MEMINFO" = "yes"; then
PLUGINS="$PLUGINS plugin_meminfo.o"
AC_DEFINE(PLUGIN_MEMINFO,1,[meminfo plugin])
fi
+
+# MPD
if test "$PLUGIN_MPD" = "yes"; then
if test -f "libmpdclient.h"
then
@@ -303,6 +354,8 @@ if test "$PLUGIN_MPD" = "yes"; then
AC_MSG_WARN(and copy those 2 files in the lcd4linux directory.)
fi
fi
+
+# MySQL
if test "$PLUGIN_MYSQL" = "yes"; then
AC_CHECK_HEADERS(mysql/mysql.h, [has_mysql_header="true"], [has_mysql_header="false"])
if test "$has_mysql_header" = "true"; then
@@ -318,14 +371,20 @@ if test "$PLUGIN_MYSQL" = "yes"; then
AC_MSG_WARN(mysql/mysql.h header not found: mysql plugin disabled)
fi
fi
+
+# network device
if test "$PLUGIN_NETDEV" = "yes"; then
PLUGINS="$PLUGINS plugin_netdev.o"
AC_DEFINE(PLUGIN_NETDEV,1,[netdev plugin])
fi
+
+# POP3
if test "$PLUGIN_POP3" = "yes"; then
PLUGINS="$PLUGINS plugin_pop3.o"
AC_DEFINE(PLUGIN_POP3,1,[POP3 plugin])
fi
+
+# PPP
if test "$PLUGIN_PPP" = "yes"; then
AC_CHECK_HEADERS(net/if_ppp.h, [has_ppp_header="true"], [has_ppp_header="false"])
if test "$has_ppp_header" = "true"; then
@@ -335,10 +394,14 @@ if test "$PLUGIN_PPP" = "yes"; then
AC_MSG_WARN(net/if_ppp.h header not found: ppp plugin disabled)
fi
fi
+
+# /proc/stat
if test "$PLUGIN_PROC_STAT" = "yes"; then
PLUGINS="$PLUGINS plugin_proc_stat.o"
AC_DEFINE(PLUGIN_PROC_STAT,1,[proc_stat plugin])
fi
+
+# python
if test "$PLUGIN_PYTHON" = "yes"; then
if test "$with_python" != "yes"; then
AC_MSG_WARN(python support not enabled: python plugin disabled (use --with-python to enable))
@@ -353,34 +416,59 @@ if test "$PLUGIN_PYTHON" = "yes"; then
fi
fi
fi
+
+# sample
if test "$PLUGIN_SAMPLE" = "yes"; then
PLUGINS="$PLUGINS plugin_sample.o"
AC_DEFINE(PLUGIN_SAMPLE,1,[sample plugin])
fi
+
+# SETI
if test "$PLUGIN_SETI" = "yes"; then
PLUGINS="$PLUGINS plugin_seti.o"
AC_DEFINE(PLUGIN_SETI,1,[seti plugin])
fi
+
+# statfs()
if test "$PLUGIN_STATFS" = "yes"; then
- PLUGINS="$PLUGINS plugin_statfs.o"
- AC_DEFINE(PLUGIN_STATFS,1,[statfs plugin])
+ AC_CHECK_HEADERS(sys/vfs.h, [has_vfs_header="true"], [has_vfs_header="false"])
+ if test "$has_vfs_header" = "true"; then
+ PLUGINS="$PLUGINS plugin_statfs.o"
+ AC_DEFINE(PLUGIN_STATFS,1,[statfs plugin])
+ else
+ AC_MSG_WARN(sys/vfs.h header not found: statfs plugin disabled)
+ fi
fi
+
+# uname
if test "$PLUGIN_UNAME" = "yes"; then
PLUGINS="$PLUGINS plugin_uname.o"
AC_DEFINE(PLUGIN_UNAME,1,[uname plugin])
fi
+
+# uptime
if test "$PLUGIN_UPTIME" = "yes"; then
PLUGINS="$PLUGINS plugin_uptime.o"
AC_DEFINE(PLUGIN_UPTIME,1,[uptime plugin])
fi
+
if test "$PLUGIN_W1RETAP" = "yes"; then
PLUGINS="$PLUGINS plugin_w1retap.o"
AC_DEFINE(PLUGIN_W1RETAP,1,[w1retap plugin])
fi
+
+# WLAN
if test "$PLUGIN_WIRELESS" = "yes"; then
- PLUGINS="$PLUGINS plugin_wireless.o"
- AC_DEFINE(PLUGIN_WIRELESS,1,[wireless plugin])
+ AC_CHECK_HEADERS(linux/wireless.h, [has_wireless_header="true"], [has_wireless_header="false"])
+ if test "$has_wireless_header" = "true"; then
+ PLUGINS="$PLUGINS plugin_wireless.o"
+ AC_DEFINE(PLUGIN_WIRELESS,1,[wireless plugin])
+ else
+ AC_MSG_WARN(linux/wireless.h header not found: wireless plugin disabled)
+ fi
fi
+
+# XMMS
if test "$PLUGIN_XMMS" = "yes"; then
PLUGINS="$PLUGINS plugin_xmms.o"
AC_DEFINE(PLUGIN_XMMS,1,[xmms plugin])